## qt6-location 6.10.0

=== debian/changelog ===
qt6-location (6.10.0-0zneon+24.04+noble+release+build41) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 18 Nov 2025 02:06:43 +0000

qt6-location (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 15 Nov 2025 15:35:01 +1000

qt6-location (6.9.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 04 Nov 2025 18:48:18 +1000

qt6-location (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 29 Aug 2025 09:22:48 +1000

qt6-location (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Wed, 09 Jul 2025 23:00:54 +1000

qt6-location (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:08:35 +1000

qt6-location (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 23:20:04 +1000

qt6-location (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sun, 09 Feb 2025 06:39:30 +1000

qt6-location (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 07 Dec 2024 15:46:54 +1000

qt6-location (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:50:34 +1000

qt6-location (6.7.0-0neon) jammy; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 17 Feb 2024 00:54:49 +1000

qt6-location (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 19:12:34 +1000

qt6-location (6.4.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update symbols from buildlogs.
  * Enable link time optimization.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 07:08:41 +0100

qt6-location (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Remove patches as they have been applied upstream.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Oct 2022 12:29:22 +0200

qt6-location (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:59 +0200

qt6-location (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update patches.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 03:59:07 +0200

qt6-location (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Jun 2022 21:24:10 +0200

qt6-location (6.2.4-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:57 +0200

qt6-location (6.2.4-2) experimental; urgency=medium

  * Team upload.
  * Backport upstream commit deaf18f77fc67d7be6534843a009a47e8df40eb4 to enable
    the geoclue2 plugin also on GNU/Hurd; patch
    upstream_CMake-enable-geoclue2-also-on-GNU-Hurd.patch.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Apr 2022 06:06:34 +0200

qt6-location (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 20:49:29 +0200

qt6-location (6.2.2-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:02:06 +0100

qt6-location (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 06 Dec 2021 00:32:37 +0100

qt6-location (6.2.2-1) experimental; urgency=medium

  * Initial release (Closes: #999636)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:12:17 +0100

=== debian/control ===
Source: qt6-location
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@bump abi and/or internal build dep requirementsdebian.org>,
           Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libdconf-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-positioning-dev (>= 6.10.0~),
               qt6-shadertools-dev (>= 6.10.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-tools (>= 6.10~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-location.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-location
Maintainer: Neon CI <neon@kde.org>

Package: qt6-location
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt6location6,
          libqt6location6-plugins,
          libqt6locationquick6,
          qml6-module-qtlocation
Description: Qt 6 Location library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Location library.

Package: qt6-location-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-dev,
         qt6-declarative-dev,
         qt6-location (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-location-doc-dev, qt6-location-examples
Description: Qt 6 Location - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt 6 Location library.

Package: qt6-location-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-location-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-location-doc-html
Description: Qt 6 Location - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files used to help build Qt 6
 applications using Qt 6 Location library.

Package: libqt6location6
Architecture: all
Depends: qt6-location, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6locationquick6
Architecture: all
Depends: qt6-location, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6location6-plugins
Architecture: all
Depends: qt6-location, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtlocation
Architecture: all
Depends: qt6-location, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-location-doc-dev
Architecture: all
Depends: qt6-location-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-location-doc-html
Architecture: all
Depends: qt6-location-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-location-examples
Architecture: all
Depends: qt6-location-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_MESSAGE_LOG_LEVEL=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
		-DQT_NO_PACKAGE_VERSION_CHECK=ON \
		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
		-DQT_UNITY_BUILD=ON \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
                sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-location 6.10.1

=== debian/changelog ===
qt6-location (6.10.1-0zneon+24.04+noble+stable+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 29 Nov 2025 04:05:56 +0000

qt6-location (6.10.1-0neon) Noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sat, 29 Nov 2025 07:56:07 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-location
 Section: libs
 Priority: optional
-Uploaders: Patrick Franz <deltaone@bump abi and/or internal build dep requirementsdebian.org>,
-           Lu YaNing <dluyaning@gmail.com>
+Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libdconf-dev,
@@ -15,10 +14,10 @@
                pkg-kde-tools,
                pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.10.0~),
-               qt6-declarative-dev (>= 6.10.0~),
-               qt6-positioning-dev (>= 6.10.0~),
-               qt6-shadertools-dev (>= 6.10.0~),
+               qt6-base-dev (>= 6.10.1~),
+               qt6-declarative-dev (>= 6.10.1~),
+               qt6-positioning-dev (>= 6.10.1~),
+               qt6-shadertools-dev (>= 6.10.1~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
 		-DQT_NO_PACKAGE_VERSION_CHECK=ON \
-		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(extra_cmake_args)

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://mirror.netcologne.de/qtproject/official_releases/qt/([\d\.]+)/([\d\.]+)(\d)/submodules/qtlocation-everywhere-src-([\d\.]+\d).tar.xz

## qt6-location 6.10.2

=== tests/auto/geotestplugin/CMakeLists.txt ===
qt_internal_add_plugin(TestGeoServicePlugin
    OUTPUT_NAME qtgeoservices_qmltestplugin
    CLASS_NAME QGeoServiceProviderFactoryTest
    PLUGIN_TYPE geoservices
    TEST_PLUGIN
    DEFAULT_IF FALSE
    SOURCES
        qgeocodingmanagerengine_test.h
        qgeoserviceproviderplugin_test.h
        qgeoroutingmanagerengine_test.h
        qplacemanagerengine_test.h
        qgeotiledmappingmanagerengine_test.h
        qgeotiledmap_test.h
        qgeotilefetcher_test.h
        qgeoserviceproviderplugin_test.cpp
        qgeotiledmap_test.cpp
    LIBRARIES
        Qt::Core
        Qt::LocationPrivate
        Qt::PositioningPrivate
        Qt::Test
)

set(plugin_resource_files
    "geotestplugin.json"
    "place_data.json"
)

qt_internal_add_resource(TestGeoServicePlugin "testdata"
    PREFIX
        "/"
    FILES
        ${plugin_resource_files}
)

=== tests/auto/placesplugin_unsupported/CMakeLists.txt ===
qt_internal_add_plugin(UnsupportedPlacesGeoServicePlugin
    OUTPUT_NAME qtgeoservices_placesplugin_unsupported
    CLASS_NAME QGeoServiceProviderFactoryTest
    PLUGIN_TYPE geoservices
    TEST_PLUGIN
    DEFAULT_IF FALSE
    SOURCES
        qgeoserviceproviderplugin_test.h
        qgeoserviceproviderplugin_test.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
)

=== tests/auto/qgeocodingmanagerplugins/CMakeLists.txt ===
qt_internal_add_plugin(GeocodingTestGeoServicePlugin
    OUTPUT_NAME qtgeoservices_geocodingplugin
    CLASS_NAME QGeoServiceProviderFactoryTest
    PLUGIN_TYPE geoservices
    TEST_PLUGIN
    DEFAULT_IF FALSE
    SOURCES
        qgeocodingmanagerengine_test.h
        qgeoserviceproviderplugin_test.h
        qgeoserviceproviderplugin_test.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
        Qt::Positioning
)

=== tests/auto/qgeoroutingmanagerplugins/CMakeLists.txt ===
qt_internal_add_plugin(RoutingTestGeoServicePlugin
    OUTPUT_NAME qtgeoservices_routingplugin
    CLASS_NAME QGeoServiceProviderFactoryTest
    PLUGIN_TYPE geoservices
    TEST_PLUGIN
    DEFAULT_IF FALSE
    SOURCES
        qgeoroutingmanagerengine_test.h
        qgeoserviceproviderplugin_test.h
        qgeoserviceproviderplugin_test.cpp
    LIBRARIES
        Qt::Core
        Qt::Location
        Qt::Positioning
)

=== debian/changelog ===
qt6-location (6.10.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update list of installed files.
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Feb 2026 21:56:49 +0100

=== debian/control ===
Source: qt6-location
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.10.2+dfsg~),
               qt6-declarative-dev (>= 6.10.2+dfsg~),
               qt6-declarative-private-dev (>= 6.10.2+dfsg~),
               qt6-positioning-dev (>= 6.10.2~),
               qt6-positioning-private-dev (>= 6.10.2~),
               qt6-shadertools-dev (>= 6.10.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.10~) <!nodoc>,
                     qt6-documentation-tools (>= 6.10~) <!nodoc>,
Standards-Version: 4.7.3
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-location.git
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-location

Package: libqt6location6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Location library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Location library.

Package: qml6-module-qtlocation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Qt 6 Location QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains the Qt 6 Location QML types.

Package: qt6-location-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Location plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains various plugins for the Qt 6 Location module.

Package: qt6-location-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6location6 (= ${binary:Version}),
         qml6-module-qtlocation (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         qt6-positioning-dev,
         ${misc:Depends},
Description: Qt 6 declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 declarative headers.

Package: qt6-location-doc
Architecture: all
Section: doc
Depends: qt6-base-doc,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for Qt 6 Location.

Package: qt6-location-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for Qt 6 Location.

Package: qt6-location-doc-dev
Architecture: all
Section: libdevel
Depends: qt6-base-doc-dev,
         ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 Location tags files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the doxygen tags files for the Qt Location
 documentation.

Package: qt6-location-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Location examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt Location submodule.
